class AutoMLMatrixArnProvider:

    @staticmethod
    def get_algorithm_arn(current_region):
        mapping = {
            "us-east-1": "arn:aws:sagemaker:us-east-1:865070037744:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "us-east-2": "arn:aws:sagemaker:us-east-2:057799348421:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "us-west-1": "arn:aws:sagemaker:us-west-1:382657785993:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "us-west-2": "arn:aws:sagemaker:us-west-2:594846645681:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ap-northeast-2": "arn:aws:sagemaker:ap-northeast-2:745090734665:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ap-southeast-1": "arn:aws:sagemaker:ap-southeast-1:192199979996:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ap-southeast-2": "arn:aws:sagemaker:ap-southeast-2:666831318237:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ap-northeast-1": "arn:aws:sagemaker:ap-northeast-1:977537786026:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ca-central-1": "arn:aws:sagemaker:ca-central-1:470592106596:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "eu-central-1": "arn:aws:sagemaker:eu-central-1:446921602837:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "eu-west-1": "arn:aws:sagemaker:eu-west-1:985815980388:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "eu-west-2": "arn:aws:sagemaker:eu-west-2:856760150666:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "eu-west-3": "arn:aws:sagemaker:eu-west-3:843114510376:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "eu-north-1": "arn:aws:sagemaker:eu-north-1:136758871317:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4",
            "ap-south-1": "arn:aws:sagemaker:ap-south-1:077584701553:algorithm/deepelement-automl-matrix-algo-e6a674a05d7e1c1819b505ed3a09d7b4"
        }
        return mapping[current_region]
